<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>CommonRole.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">astrapay-otp</a> &gt; <a href="index.source.html" class="el_package">com.astrapay.otp.domain</a> &gt; <span class="el_source">CommonRole.java</span></div><h1>CommonRole.java</h1><pre class="source lang-java linenums">package com.astrapay.otp.domain;

import org.springframework.security.core.GrantedAuthority;

import java.io.Serializable;
import java.util.UUID;

<span class="nc" id="L8">public class CommonRole implements GrantedAuthority, Serializable {</span>
    private static final long serialVersionUID = 5469245326651087272L;

    private UUID roleId;

    private String roleNo;

    private String roleName;

    @Override
    public String getAuthority() {
<span class="nc" id="L19">        return &quot;ROLE_&quot;+this.roleNo;</span>
    }

    @Override
    public String toString() {
<span class="nc" id="L24">        return &quot;CommonRole [roleId=&quot; + roleId + &quot;, roleNo=&quot; + roleNo + &quot;, roleName=&quot; + roleName + &quot;]&quot;;</span>
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.5.201910111838</span></div></body></html>